Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision fd86c5114bbaab184d19dd44a6e14ba9a91e35be)
+++ chapter01/changelog.xml	(revision 73a1157da674027fc033876d7f183b0afde60613)
@@ -45,4 +45,38 @@
 
     <listitem>
+      <para>2018-05-05</para>
+      <itemizedlist>
+        <listitem>
+           <para>[bdubbs] - Update to gcc-8.1.0.  Fixes 
+           <ulink url="&lfs-ticket-root;4268">#4268</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to linux-4.16.7.  Fixes 
+           <ulink url="&lfs-ticket-root;4262">#4262</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to man-pages-4.16.  Fixes 
+           <ulink url="&lfs-ticket-root;4266">#4266</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to meson-0.46.0.  Fixes 
+           <ulink url="&lfs-ticket-root;4263">#4263</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to shadow-4.6.  Fixes 
+           <ulink url="&lfs-ticket-root;4264">#4264</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to tzdata-2018e.  Fixes 
+           <ulink url="&lfs-ticket-root;4269">#4269</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to xz-5.2.4.  Fixes 
+           <ulink url="&lfs-ticket-root;4265">#4265</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-04-20</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision fd86c5114bbaab184d19dd44a6e14ba9a91e35be)
+++ chapter01/whatsnew.xml	(revision 73a1157da674027fc033876d7f183b0afde60613)
@@ -93,7 +93,7 @@
       <para>Gawk-&gawk-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>GCC-&gcc-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem>
       <para>GDBM-&gdbm-version;</para>
@@ -171,7 +171,7 @@
       <para>Man-DB-&man-db-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>Man-pages-&man-pages-version;</para>
-   </listitem>-->
+   </listitem>
    <listitem>
       <para>meson-&meson-version;</para>
@@ -213,7 +213,7 @@
       <para>Sed-&sed-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Shadow-&shadow-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="sysv">
       <para>Sysklogd-&sysklogd-version;</para>
@@ -246,7 +246,7 @@
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>XZ-Utils-&xz-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Zlib-&zlib-version;</para>
Index: chapter06/libelf.xml
===================================================================
--- chapter06/libelf.xml	(revision fd86c5114bbaab184d19dd44a6e14ba9a91e35be)
+++ chapter06/libelf.xml	(revision 73a1157da674027fc033876d7f183b0afde60613)
@@ -45,4 +45,11 @@
       the elfutils-&elfutils-version;.tar.xz as the source tarball.</para>
 
+    <para>Fiirst, fix a file to be compatible with gcc-8"</para>
+
+<screen><userinput remap="pre">sed -e '/ALIGN_PRSTATUS)/{ 
+        s/__attribute/attribute_packed &amp;/
+        s/packed, //}' \
+    -i backends/linux-core-note.c</userinput></screen>
+
     <para>Prepare Libelf for compilation:</para>
 
Index: chapter06/strippingagain.xml
===================================================================
--- chapter06/strippingagain.xml	(revision fd86c5114bbaab184d19dd44a6e14ba9a91e35be)
+++ chapter06/strippingagain.xml	(revision 73a1157da674027fc033876d7f183b0afde60613)
@@ -46,5 +46,5 @@
 save_usrlib="libquadmath.so.&libquadmath-version; libstdc++.so.&libstdcpp-version;
              libmpx.so.&libmpx-version; libmpxwrappers.so.&libmpxwrap-version; libitm.so.&libitm-version;
-             libcilkrts.so.&libcilkrts-version; libatomic.so.&libatomic-version;"
+             libatomic.so.&libatomic-version;" <!-- libcilkrts.so.&libcilkrts-version;-->
 
 cd /usr/lib
Index: general.ent
===================================================================
--- general.ent	(revision fd86c5114bbaab184d19dd44a6e14ba9a91e35be)
+++ general.ent	(revision 73a1157da674027fc033876d7f183b0afde60613)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180420">
+<!ENTITY version         "SVN-20180505">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180420-systemd">
+<!ENTITY versiond        "20180505-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "April 20, 2018">
+<!ENTITY releasedate     "May 5, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision fd86c5114bbaab184d19dd44a6e14ba9a91e35be)
+++ packages.ent	(revision 73a1157da674027fc033876d7f183b0afde60613)
@@ -109,8 +109,8 @@
 <!ENTITY coreutils-ch6-sbu "3.3 SBU">
 
-<!ENTITY dbus-version "1.12.6">
-<!ENTITY dbus-size "2,021 KB">
+<!ENTITY dbus-version "1.12.8">
+<!ENTITY dbus-size "2,024 KB">
 <!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "32a607e47b82ab11702355bf02502f20">
+<!ENTITY dbus-md5 "2764bf150e5aa8005b7bc0d6c388756a">
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "18 MB">
@@ -216,8 +216,8 @@
 <!ENTITY gawk-ch6-sbu "0.4 SBU">
 
-<!ENTITY gcc-version "7.3.0">
-<!ENTITY gcc-size "60,999 KB">
+<!ENTITY gcc-version "8.1.0">
+<!ENTITY gcc-size "61,888 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
-<!ENTITY gcc-md5 "be2da21680f27624f3a87055c4ba5af2">
+<!ENTITY gcc-md5 "65f7c65818dc540b3437605026d329fc">
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.2 GB">
@@ -228,10 +228,10 @@
 <!ENTITY gcc-ch6-sbu "81 SBU (with tests)">
 <!ENTITY libquadmath-version "0.0.0">
-<!ENTITY libstdcpp-version   "6.0.24">
+<!ENTITY libstdcpp-version   "6.0.25">
 <!ENTITY libitm-version      "1.0.0">
 <!ENTITY libatomic-version   "1.2.0">
 <!ENTITY libmpx-version      "2.0.1">
 <!ENTITY libmpxwrap-version  "2.0.1">
-<!ENTITY libcilkrts-version  "5.0.0">
+<!--<!ENTITY libcilkrts-version  "5.0.0">-->
 
 <!ENTITY libstdcpp-ch5-du "752 MB">
@@ -417,10 +417,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;"> 
-<!ENTITY linux-size "100,603 KB">
+<!ENTITY linux-size "100,612 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "db2a61576b7819597c2990e70245704e">
+<!ENTITY linux-md5 "9795a3187c791e3b79153519733f045d">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -463,16 +463,16 @@
 <!ENTITY man-db-ch6-sbu "0.4 SBU">
 
-<!ENTITY man-pages-version "4.15">
-<!ENTITY man-pages-size "1,585 KB">
+<!ENTITY man-pages-version "4.16">
+<!ENTITY man-pages-size "1,592 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "4298feb3d5feffad8ff46bb87b061a07">
+<!ENTITY man-pages-md5 "ad9f1ff81276fe8d90d077484d6d4b5e">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "27 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.45.1">
-<!ENTITY meson-size "1,136 KB">
+<!ENTITY meson-version "0.46.0">
+<!ENTITY meson-size "1,171 KB">
 <!ENTITY meson-url "https://github.com/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "4d9c7b3a7365b7b472f00af14e034949">
+<!ENTITY meson-md5 "e3301606017e364a0d7e1c3b755e7a28">
 <!ENTITY meson-home "http://mesonbuild.com">
 <!ENTITY meson-ch6-du "16 MB">
@@ -597,8 +597,8 @@
 <!ENTITY sed-ch6-sbu "0.3 SBU">
 
-<!ENTITY shadow-version "4.5">
-<!ENTITY shadow-size "1,589 KB">
+<!ENTITY shadow-version "4.6">
+<!ENTITY shadow-size "1,639 KB">
 <!ENTITY shadow-url "https://github.com/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "c350da50c2120de6bb29177699d89fe3">
+<!ENTITY shadow-md5 "b491fecbf1232632c32ff8f1437fd60e">
 <!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org/"> 
 <!ENTITY shadow-ch6-du "43 MB">
@@ -661,8 +661,8 @@
 <!ENTITY texinfo-ch6-sbu "1.1 SBU">
 
-<!ENTITY tzdata-version "2018d">
-<!ENTITY tzdata-size "344 KB">
+<!ENTITY tzdata-version "2018e">
+<!ENTITY tzdata-size "346 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "871a7ef808eb42ebc551acdb3d661554">
+<!ENTITY tzdata-md5 "97d654f4d7253173b3eeb76a836dd65e">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -702,8 +702,8 @@
 <!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.2.3">
-<!ENTITY xz-size "1009 KB">
+<!ENTITY xz-version "5.2.4">
+<!ENTITY xz-size "1030 KB">
 <!ENTITY xz-url "https://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "60fb79cab777e3f71ca43d298adacbd5">
+<!ENTITY xz-md5 "003e4d0b1b1899fc6e3000b24feddf7c">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-ch5-du "17 MB">
